package clipboard

import (
	"fmt"
	"testing"
	"time"
)

func TestGet(t *testing.T) {
	lsn, err := Listen()
	if err != nil {
		t.Fatal(err)
	}
	for {
		select {
		case cb := <-lsn:
			fmt.Println(cb.plateform)
			fmt.Println(cb.AvailableTypes())
			fmt.Println(cb.Text())
			fmt.Println(cb.HTML())
		case <-time.After(60 * time.Second):
			fmt.Println("not get clipboard data in 60s")
			StopListen()
			time.Sleep(time.Second * 15)
			return
		}
	}
}
